Page MenuHomeFreeBSD

Handle SIGIO for listening sockets
ClosedPublic

Authored by jah on Dec 27 2018, 7:48 PM.

Details

Summary

r319722 separated portions of struct socket and the socket I/O path that are specific to listening sockets from those which are specific to dataflow sockets. Listening socket connection notifications are now handled through solisten_wakeup() instead of sowakeup(), but solisten_wakeup() does not currently handle delivery of SIGIO to the owning process.

Reported by: Kenneth Adelman
PR: 234258

Test Plan

Verified that this fixes the issue reported in bug 234258 on -current

--Do we have a good place in existing unit tests to add a case for this?

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jah created this revision.Dec 27 2018, 7:48 PM
jah edited the test plan for this revision. (Show Details)Dec 27 2018, 7:53 PM
jah added reviewers: glebius, tuexen, kbowling, transport.

You may be able to add something to /usr/src/tests/sys/

jah added a comment.Jan 1 2019, 1:44 PM

You may be able to add something to /usr/src/tests/sys/

It looks like there aren't any tests that exercise SIGIO in any capacity. I'll consider adding something in a later commit.

jah added a comment.Jan 4 2019, 5:30 PM

ping...does anyone want to review?

jah edited the summary of this revision. (Show Details)Jan 13 2019, 9:28 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 13 2019, 8:34 PM
This revision was automatically updated to reflect the committed changes.